Updates the db report with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "65400f73-10d4-4318-aa6b-8edad69f69a8",
"db_report_type_id": "e3dced43-a091-4776-aae5-096c5cefc89f",
"user_id": "f345b74f-7a1d-45f5-97c6-2e4705e19608",
"company_id": "c4bac0e9-c043-42e7-ae6f-0d68fb090086",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "875702c4-0bac-44cc-bb16-eba7718d7ef3",
"id_in_table": "b43f4a09-85ac-460c-8193-b0c4a89a7e70",
"date_last_update": "2026-05-01T16:01:35.4084394+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-05-01T16:01:35.4084394+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.